PHP is one of the most commonly used general-purpose server-side coding languages. It is highly popular because it’s free software, which can be used to develop responsive websites like social networking websites, e-stores or e-learning portals rather than static HTML sites. A PHP module should be installed on the web server where a PHP website is hosted so that its PHP code can be ‘decrypted’. Because there aren’t any license taxes for such a module and the language provides countless options for the applications that you set up, there are hundreds of millions of PHP-powered sites. Additionally, there are a huge number of open-source PHP-based scripts, which you can use for your sites without needing to possess any coding experience. Considering the fact that there are a few PHP versions, you must verify whether the same version that you used whilst building your website is activated on the web server too.

PHP 4 and PHP 5 Support in Cloud Website Hosting

With our cloud website hosting, you will be able to select which version of PHP will be active for your shared web hosting account, as multiple versions are supported on our servers. With as little as one click, you will be able to switch between PHP 4, 5.2, 5.3, 5.4 and 5.5 and whenever a new version is unveiled in the future, we will add it to the Hepsia hosting Control Panel without removing the earlier ones. In this way, you’ll be able to host all the sites that you have set up over the years. In stark contrast to many other hosting vendors, we won’t compel you to update such sites, as a script may be out of date, but this does not mean that it is insecure as you may have modified its code to plug security holes. For your convenience’s sake, you’ll even be able to pick a different PHP version for each individual site hosted in your shared account.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

If you have a website built using an older version of PHP and you have devoted time and effort toward setting it up, patching security gaps and appending page content, you’ll need a web hosting service that can support it, as almost all hosting companies nowadays offer support only for the most recently introduced version of PHP and drop the previous ones. We, however, have decided to let you choose the version that your own websites need. Our Linux semi-dedicated hosting support PHP 4 and multiple versions of PHP 5, which suggests that you’ll be able to run both older and newer scripts without losing any manual tweaks or misspending time and energy striving to make your websites compatible with the hosting environment. You can change the current version via the Hepsia Control Panel and such an update will apply to the whole semi-dedicated account, but you’ll also be able to choose a different version of PHP for each website hosted in your account using an .htaccess configuration file.